[@bigcommerce/checkout-sdk](../README.md) / RemoteCheckoutSelector

# Interface: RemoteCheckoutSelector

## Table of contents

### Methods

- [getCheckout](RemoteCheckoutSelector.md#getcheckout)

## Methods

### getCheckout

▸ **getCheckout**\<`TMethodId`\>(`methodId`): `undefined` \| [`RemoteCheckoutStateData`](RemoteCheckoutStateData.md)[`TMethodId`]

#### Type parameters

| Name | Type |
| :------ | :------ |
| `TMethodId` | extends ``"amazon"`` |

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId` | `TMethodId` |

#### Returns

`undefined` \| [`RemoteCheckoutStateData`](RemoteCheckoutStateData.md)[`TMethodId`]
